name: 'Dependency Review'
on: [pull_request]

permissions:
  contents: read

jobs:
  dependency-review:
    runs-on: ubuntu-latest
    steps:
      - name: 'Checkout Repository'
        uses: actions/checkout@93ea575cb5d8a053eaa0ac8fa3b40d7e05a33cc8 # tag=v3
      - name: 'Dependency Review'
        uses: actions/dependency-review-action@fd675ced9c17f1393071e1a2e685ab527e585a0c # tag=v2
